#17831 closed Bugs (Fixed)

HVEC HDR playback issues

Reported by: enen92 Owned by:
Priority: 4 - Normal
Component: > Choose specific component Version: 18.0 "Leia" Alpha1
Severity: Normal Keywords: video
Cc: FernetMenta Blocked By:
Blocking: Platform: All

Description

Just for reference some users pointed me to some streams that won't play in Kodi (green, red and yellow artifacts on the screen) although they play fine in vlc. It is not of high priority for me but can be usefull for moving kodi forward. You can find those streams here (labeled as HDR_HVEC):

https://sylvan.apple.com/Aerials/2x/entries.json

A stream example url is: https://sylvan.apple.com/Aerials/2x/Videos/LA_A006_C008_2K_HDR_HEVC.mov

Kodi: https://s9.postimg.org/sdwle9eqn/Screen_Shot_2018-03-31_at_16.18.40.png

VLC: https://s9.postimg.org/3xefjnvyn/Screen_Shot_2018-03-31_at_15.50.48.png

Regards

Change History (7)

comment:1 Changed at 2018-03-31T18:06:08+01:00 by FernetMenta

This is an ffmpeg issue you can even reproduce with ffplay. ffmpeg incorrectly identifies video codec as dvvideo and fails. If you force hevc decoder, it will play

comment:2 Changed at 2018-08-05T09:32:04+01:00 by Rechi

  • Resolution set to Fixed
  • Status changed from new to closed

Has anyone reported this upstream?

comment:3 Changed at 2018-08-05T09:33:07+01:00 by Rechi

  • Resolution Fixed deleted
  • Status changed from closed to reopened

comment:4 Changed at 2018-08-06T12:44:14+01:00 by enen92

I'll compile the latest ffmpeg and check if the issue still happens, if so I'll report in ffmpeg trac. I'll leave the trac ticket reference here when I'm done with it. Thanks

comment:6 Changed at 2018-08-09T01:54:16+01:00 by enen92

Fixed upstream

comment:7 Changed at 2018-08-09T01:54:50+01:00 by enen92

  • Resolution set to Fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.